Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
POSTProject OperationsSince 4.0.0SynchronousAuth Required

CreateIAM2VirtualIDGroup

CreateIAM2VirtualIDGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • projectUuidString

    Optional.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The name of the member group.

    • descriptionString

      Optional. The detailed description of the member group.

    • attributesList

      Optional.

    • resourceUuidString

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIAM2VirtualIDGroupInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • projectUuidStringRequired

      No description provided.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • attributesListRequired

      See attributes.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • valueStringRequired

        字段值。

      • typeAttributeTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

POST/zstack/v1/iam2/projects/{projectUuid}/groups?projectUuid={projectUuid}

/zstack/v1/iam2/projects/{projectUuid}/groups?projectUuid={projectUuid}

Operation ID

CreateIAM2VirtualIDGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/iam2/projects/{projectUuid}/groups?projectUuid={projectUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","attributes":["<attributes>"],"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "7c1b800eb5644c35823bbed13d14b54c", "projectUuid": "04ef5931e13e4362b1960e03033b7d79", "name": "group-name", "state": "Enabled", "attributes": [ { "uuid": "70200048148344c1833a5cc8d6227f0b", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }

Change History

This API has no change history records yet.

View all change history